## libportal 0.3+git20200327

=== meson_options.txt ===
option('build-portal-test', type: 'boolean', value: false,
  description : 'Build the portal-test application')
option('gtk_doc', type: 'boolean', value: true,
  description : 'Build API reference with gtk-doc')
