=== debian/changelog ===
libportal (0.3+git20200327-1) experimental; urgency=medium

  * New upstream snapshot
    - Drop patches, applied upstream
  * Explicitly build-depend on a suitable GLib version
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Mar 2020 18:07:23 +0100

libportal (0.3-1) experimental; urgency=medium

  * New upstream development release
    - Bump minimum version for all symbols to 0.3 due to API/ABI breaks
  * d/p/Use-a-GNOME-background-to-test-setting-wallpaper.patch:
    Mark as forwarded upstream
  * d/p/Convert-some-debug-printfs-into-g_debug.patch:
    Use g_debug() for debug logging

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Dec 2019 18:23:43 +0000

libportal (0.2-1) experimental; urgency=medium

  * Initial package (Closes: #946605)

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2019 09:27:47 +0000
