## libportal 0.4

=== debian/changelog ===
libportal (0.4-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.1 (no changes required)
  * Use debhelper compat level 13
    - Stop setting HOME etc., now done by default
    - Stop forcing dh_missing --fail-missing, now the default
  * libportal-doc: Add Lintian override for #970275
  * libportal-tests: Override a Lintian false-positive

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Apr 2021 10:43:02 +0100

libportal (0.3+git20200925-1) experimental; urgency=medium

  * New upstream snapshot

 -- Simon McVittie <smcv@debian.org>  Thu, 01 Oct 2020 11:39:16 +0100
