=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gtk-doc-tools,
  libglib2.0-dev (>= 2.58),
  libgstreamer-plugins-base1.0-dev <!noinsttest>,
@@ -13,7 +13,7 @@
  meson (>= 0.46.0),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/flatpak/libportal
 Vcs-Git: https://salsa.debian.org/debian/libportal.git
 Vcs-Browser: https://salsa.debian.org/debian/libportal
