=== debian/changelog ===
libportal (0.6-4) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * d/patches: Add various bug fixes from upstream git

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Nov 2022 17:58:57 +0000

libportal (0.6-3) unstable; urgency=medium

  * Only build-depend on gjs for Architecture: all.
    This avoids becoming unbuildable on armel when gjs moves to mozjs102.
    We only need gjs if we are going to build libportal-tests-gtk4, which
    is Architecture: all anyway.
  * Standards-Version: 4.6.1 (no changes required)
  * Update Lintian overrides

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Aug 2022 11:42:41 +0100

libportal (0.6-2) unstable; urgency=medium

  * Mark 2 Qt symbols as optional not seen during the Ubuntu 22.04 build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 19:10:53 -0400

libportal (0.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use xvfb to run new build test
  * Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 13 Apr 2022 13:24:07 -0400

libportal (0.5-2) unstable; urgency=medium

  * Upload to unstable (starts transition: #1003085)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jan 2022 10:31:42 +0000

libportal (0.5-1) experimental; urgency=medium

  * New upstream release
    - Update d/copyright for new licensing
    - Build documentation with gi-docgen instead of gtk-doc
    - Rename libportal0 to libportal1 for upstream SONAME bump
    - Add binary packages for GTK 3, GTK 4, Qt 5 integration, which is
      now in separate shared libraries instead of being inlined in
      header files
    - Add binary packages for GObject-Introspection bindings
    - Rename libportal-tests to libportal-tests-gtk3
    - Add libportal-tests-gtk4 which uses gjs and GTK 4
    - Add libportal-tests-qt5 which uses Qt

 -- Simon McVittie <smcv@debian.org>  Wed, 22 Dec 2021 21:05:32 +0000

libportal (0.4-2) unstable; urgency=medium

  * d/p/portal-helpers-Unref-correct-object.patch:
    Add patch from upstream to fix a potential crash or memory leak
  * Standards-Version: 4.6.0 (no changes required)
  * Release to unstable.
    An upstream maintainer confirmed that while this library is not
    completely API-stable, the SONAME will be incremented when
    incompatible changes are made in future.

 -- Simon McVittie <smcv@debian.org>  Tue, 21 Sep 2021 17:29:00 +0100
