=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

built_binaries := $(shell dh_listpackages)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
# https://qt-kde-team.pages.debian.net/packagingqtbasedstuff.html
export QT_SELECT=5

export VERBOSE=1

empty =
space = $(empty) $(empty)

meson_options =

backends = gtk3,gtk4

ifneq ($(filter libportal-qt5-dev,$(built_binaries)),)
backends += ,qt5
endif

meson_options += -Dbackends=$(subst $(space),,$(backends))

ifeq ($(filter libportal-doc,$(built_binaries)),)
meson_options += -Ddocs=false
else
meson_options += -Ddocs=true
endif

ifeq ($(filter libportal-tests-%,$(built_binaries)),)
meson_options += -Dportal-tests=false
else
meson_options += -Dportal-tests=true
endif

ifeq ($(filter libportal-tests-gtk4,$(built_binaries)),)
meson_options += --native-file=$(CURDIR)/debian/meson/no-gjs.ini
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure \
		-- \
		$(meson_options) \
		$(NULL)

override_dh_auto_test:
	xvfb-run -a dh_auto_test
