=== debian/rules ===
--- 
+++ 
@@ -11,18 +11,32 @@
 
 export VERBOSE=1
 
-empty =
-space = $(empty) $(empty)
-
 meson_options =
 
-backends = gtk3,gtk4
-
-ifneq ($(filter libportal-qt5-dev,$(built_binaries)),)
-backends += ,qt5
+ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
+native_or_cross = native
+else
+native_or_cross = cross
+meson_options += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
 endif
 
-meson_options += -Dbackends=$(subst $(space),,$(backends))
+ifneq ($(filter libportal-gtk3-% libportal-%-gtk3,$(built_binaries)),)
+meson_options += -Dbackend-gtk3=enabled
+else
+meson_options += -Dbackend-gtk3=disabled
+endif
+
+ifneq ($(filter libportal-gtk4-dev libportal-%-gtk4,$(built_binaries)),)
+meson_options += -Dbackend-gtk4=enabled
+else
+meson_options += -Dbackend-gtk4=disabled
+endif
+
+ifneq ($(filter libportal-qt5-dev libportal-%-qt5,$(built_binaries)),)
+meson_options += -Dbackend-qt5=enabled
+else
+meson_options += -Dbackend-qt5=disabled
+endif
 
 ifeq ($(filter libportal-doc,$(built_binaries)),)
 meson_options += -Ddocs=false
@@ -36,18 +50,36 @@
 meson_options += -Dportal-tests=true
 endif
 
+meson_options += --$(native_or_cross)-file=$(CURDIR)/debian/meson/vapigen.ini
+
 ifeq ($(filter libportal-tests-gtk4,$(built_binaries)),)
-meson_options += --native-file=$(CURDIR)/debian/meson/no-gjs.ini
+meson_options += --$(native_or_cross)-file=$(CURDIR)/debian/meson/no-gjs.ini
 endif
+
+test_timeout_multiplier = 3
+meson_test_options = --timeout-multiplier $(test_timeout_multiplier)
 
 %:
 	dh $@
 
 override_dh_auto_configure:
+	sed \
+		-e 's|@bindir@|$(CURDIR)/debian|g' \
+		-e 's|@DEB_HOST_GNU_TYPE@|$(DEB_HOST_GNU_TYPE)|g' \
+		< debian/meson/vapigen.ini.in > debian/meson/vapigen.ini
+	sed \
+		-e 's|@DEB_HOST_MULTIARCH@|$(DEB_HOST_MULTIARCH)|g' \
+		< debian/vapigen.in > debian/$(DEB_HOST_GNU_TYPE)-vapigen
+	chmod 0755 debian/$(DEB_HOST_GNU_TYPE)-vapigen
 	dh_auto_configure \
 		-- \
 		$(meson_options) \
 		$(NULL)
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	xvfb-run -a -s "-noreset" dh_auto_test -- $(meson_test_options)
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym
